Dear ARdock users:

  2 kind of bugs are fixed.
  1.  showm --> showm2  / not a serious bug.
  2.  correction of dall / rather serious one. This correction is
      necessary to avoid possible dead-locks.  

M.I. 2000.10.20

*** ardock.F	Fri Oct 20 10:10:08 2000
--- src/ardock.F	Fri Oct 20 14:55:29 2000
***************
*** 15,20 ****
--- 15,27 ----
  #define BUGLOG 91
  #define BUGMAP 92
  c   .    1    .    2    .    3    .    4    .    5    .    6    .    7        
+ c This version is obtained by applying
+ c  ardock.0-1.patch to the original ardock.F
+ corrected2000.10.20 corrections are made by M.I.
+ c  2 kind of bugs are fixed.
+ c  1.  showm --> showm2  / not a serious bug.
+ c  2.  correction of dall / rather serious one. This correction is
+ c      necessary to avoid possible dead-locks.  
  corrected2000.01.21 corrections are made by M.I.
  corrected2000.01.20 corrections are made by M.I.
  corrected1999.12.14 corrections are made by M.I.
***************
*** 1156,1162 ****
         myself = 9       
         if( iNFO .ge. myself .and. inisub .eq. 0) then 
             call selfcom ('gui0', io , stio )                    
!           call showm ('I',
       i    ' Prompts user for the choice between data and model.',
       i    ' See Section 6.2 of CSM.')
             call showc ('O','Cmd' ,   Cmd ,   1 , 1 , 1)       
--- 1163,1171 ----
         myself = 9       
         if( iNFO .ge. myself .and. inisub .eq. 0) then 
             call selfcom ('gui0', io , stio )                    
! corrected2000.10.20  1 line correction made by M.I.
! c          call showm ('I',
!           call showm2 ('I',
       i    ' Prompts user for the choice between data and model.',
       i    ' See Section 6.2 of CSM.')
             call showc ('O','Cmd' ,   Cmd ,   1 , 1 , 1)       
***************
*** 6596,6602 ****
         myself = 9     
         if( iNFO .ge. myself .and. inisub .eq. 0) then 
            call selfcom ('gmartw', io , stio )                  
!           call showm ('I',
       i    ' Produces an initial guess of the parameter of the E-MARTS ',
       i    ' model(2.30).')
            call showm3 ('I',
--- 6605,6613 ----
         myself = 9     
         if( iNFO .ge. myself .and. inisub .eq. 0) then 
            call selfcom ('gmartw', io , stio )                  
! corrected2000.10.20  1 line correction made by M.I.
! c          call showm ('I',
!           call showm2 ('I',
       i    ' Produces an initial guess of the parameter of the E-MARTS ',
       i    ' model(2.30).')
            call showm3 ('I',
***************
*** 9834,9840 ****
  c      :                                                              
  c      initialization 
         ISPHI = 0   
!        isphix = 1 
         itn = 0                                                           
         PHI = val                                                         
         if( lpswmpi .eq. 3) write(6,666)                                
--- 9845,9853 ----
  c      :                                                              
  c      initialization 
         ISPHI = 0   
! corrected2000.10.20  1 line correction made by M.I.
! c       isphix = 1 
!        isphix = 0 
         itn = 0                                                           
         PHI = val                                                         
         if( lpswmpi .eq. 3) write(6,666)                                
***************
*** 9860,9866 ****
           sx ( i ) = X ( i ) - c ( i )
   210   continue 
         isphiy = isphix 
!        isphix = 1 
  c      SPHI = val ,  sg = gradient computation 
         call numdif ( Model , sx , Ip ,  El , lel , sg , Vd , 1 , Step )
         SPHI = El (1)
--- 9873,9881 ----
           sx ( i ) = X ( i ) - c ( i )
   210   continue 
         isphiy = isphix 
! corrected2000.10.20  1 line correction made by M.I.
! c       isphix = 1 
!        isphix = 0 
  c      SPHI = val ,  sg = gradient computation 
         call numdif ( Model , sx , Ip ,  El , lel , sg , Vd , 1 , Step )
         SPHI = El (1)
***************
*** 9957,9971 ****
         ram = dabs ( dgam ) / dgam1                                            
         if( ram.le.consta )   then                                        
           ram = consta                                                   
!          isphix  =  0 
         end if                                                          
         if( ram.ge.constb )   then                                        
           ram = constb                                                   
!          isphix  =  0 
         end if                                                          
         ram1 = ram - cst1 
         ramlog  =  dlog ( ram )
!        ISPHI  =   ISPHI + isphiy 
         if( PHI .lt.  SPHI)  ISPHI = 0                                          
         if( lpswmpi .eq. 3) then                                            
           write(6,66) NCOUNT ,  PHI ,   SPHI - PHI , sro ,
--- 9972,9992 ----
         ram = dabs ( dgam ) / dgam1                                            
         if( ram.le.consta )   then                                        
           ram = consta                                                   
! corrected2000.10.20  1 line correction made by M.I.
! c         isphix  =  0 
!          if( isphiy .ne. -1) isphix  =  1 
         end if                                                          
         if( ram.ge.constb )   then                                        
           ram = constb                                                   
! corrected2000.10.20  1 line correction made by M.I.
! c         isphix  =  0 
!          if( isphiy .ne. 1) isphix  =  -1 
         end if                                                          
         ram1 = ram - cst1 
         ramlog  =  dlog ( ram )
! corrected2000.10.20  1 line correction made by M.I.
! c       ISPHI  =   ISPHI + isphiy 
!        if( isphiy .eq. 0 ) ISPHI = ISPHI + 1 
         if( PHI .lt.  SPHI)  ISPHI = 0                                          
         if( lpswmpi .eq. 3) then                                            
           write(6,66) NCOUNT ,  PHI ,   SPHI - PHI , sro ,
